### Function

# GObject type_is_a

since: 2.0

#### Declaration

    gboolean
    g_type_is_a (
      GType type,
      GType is_a_type
    )

#### Description

If `is_a_type` is a derivable type, check whether `type` is a descendant of `is_a_type`. If `is_a_type` is an interface, check whether `type` conforms to it.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  Type to check ancestry for.

`is_a_type`

  Type: `GType`

  Possible ancestor of `type` or interface that `type` could conform to.

#### Return value

Type: `gboolean`

`TRUE` if `type` is a `is_a_type`.